Bug 7423 - Сворачивание помощи
: Сворачивание помощи
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/install2-x11-qt)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
: 7371
  Show dependency tree
 
Reported: 2005-07-21 16:14 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-21 16:14:36
Предлагаю убрать кнопку "Помощь" по двум соображениям:
1. Это лишняя функция. Не представляю себе такого пользователя, которому бы
наличие справки в левой колонке помешало бы пройти установку.
2. Вместе с помощью сворачивается карта прохождения установки. А это так и
вовсе
вредно.
------- Comment #1 From 2005-07-21 16:16:24 -------
Возможно, на место кнопки "Помощь" стоит поместить "Руководство" из меню,
сделав
его на один щелчок мыши ближе к пользователю.
Остановка установки -- аварийное действие, поэтому пусть остается в "Меню".
------- Comment #2 From 2005-07-21 17:46:45 -------
(In reply to comment #0) 
> Предлагаю убрать кнопку "Помощь" по двум соображениям: 
> 1. Это лишняя функция. Не представляю себе такого пользователя, которому бы 
> наличие справки в левой колонке помешало бы пройти установку. 
Я еще менее представляю, кому наличие кнопки помешает. 
 
> 2. Вместе с помощью сворачивается карта прохождения установки. А это так и 
вовсе 
> вредно. 
Пока что мне вредно обратное. 
 
------- Comment #3 From 2005-07-21 17:49:49 -------
(In reply to comment #1) 
> Возможно, на место кнопки "Помощь" стоит поместить "Руководство" из меню, 
сделав 
> его на один щелчок мыши ближе к пользователю. 
Ни на пол-щелчка не приблизиться к тем, кто не читает руководство. 
 
> Остановка установки -- аварийное действие, поэтому пусть остается в "Меню". 
Тогда придется "Меню" переименовать в "Прервать установку", т.к. там останется 
1 пункт. 
 
 
------- Comment #4 From 2005-07-22 13:06:09 -------
(In reply to comment #2)
> > 1. Это лишняя функция. Не представляю себе такого пользователя, которому бы 
> > наличие справки в левой колонке помешало бы пройти установку. 
> Я еще менее представляю, кому наличие кнопки помешает. 
Сведение объектов к минимуму -- общепризнанное золотое правило проектировки
интерфейсов.

Лишний объект мешает просто потому, что он лишний.
------- Comment #5 From 2005-07-22 13:10:34 -------
(In reply to comment #3)
> > Возможно, на место кнопки "Помощь" стоит поместить "Руководство" из меню, 
> сделав 
> > его на один щелчок мыши ближе к пользователю. 
> Ни на пол-щелчка не приблизиться к тем, кто не читает руководство. 
Логично. Я имею в виду тех, кто читает.

> > Остановка установки -- аварийное действие, поэтому пусть остается в "Меню". 
> Тогда придется "Меню" переименовать в "Прервать установку", т.к. там останется 
> 1 пункт. 
Так делать нельзя, потому что кнопки выключения/остановки никто никогда не
ставит в левом нижнем углу :-)
------- Comment #6 From 2005-07-22 13:40:08 -------
(In reply to comment #5) 
> Логично. Я имею в виду тех, кто читает. 
Для них это не проблема. 
 
> Так делать нельзя 
Я смайлик забыл поставить :-) 
------- Comment #7 From 2005-07-22 13:43:17 -------
(In reply to comment #0) 
> Предлагаю убрать кнопку "Помощь" 
Я лучше ее в меню засуну. В некоторых ситуациях на экран все элементы не 
помещаются. 
------- Comment #8 From 2005-07-22 13:56:15 -------
(In reply to comment #7)
> (In reply to comment #0) 
> > Предлагаю убрать кнопку "Помощь" 
> Я лучше ее в меню засуну. В некоторых ситуациях на экран все элементы не 
> помещаются. 

Вот так делать точно не надо. Сейчас у нас эта кнопка находится в нажатом
состоянии по умолчанию. Как ты собираешься сделать это, спрятав ее за "Меню"?

А вообще, проблемы с нехваткой места под все элементы лучше решать за счет
уплотнения или перестановки этих самых элементов. Заботливо подавать
пользователю костыль в виде возможности раздвинуть экран -- это совершенно
недопустимая кривизна. Плохому танцору (недопиленной программе) сцена
(пользовательский дисплей) мешает.
------- Comment #9 From 2005-07-22 14:02:05 -------
(In reply to comment #8) 
 
[...] 
 
> Как ты собираешься сделать это, спрятав ее за "Меню"? 
Это не проблема. 
  
> Плохому танцору (недопиленной программе) сцена 
> (пользовательский дисплей) мешает. 
Станцуй. Я принимаю патчи. 
 
------- Comment #10 From 2005-07-22 14:05:38 -------
(In reply to comment #9)

> > Как ты собираешься сделать это, спрятав ее за "Меню"? 
> Это не проблема. 
Может быть. Но это будет крайне неизящно. Лучше оставить как есть, честно.

> > Плохому танцору (недопиленной программе) сцена 
> > (пользовательский дисплей) мешает. 
> Станцуй. Я принимаю патчи. 
Я не пишу патчи. Но при этом считаю, что об обнаруженных несуразностях лучше
сообщать, а не забывать их.
------- Comment #11 From 2007-05-22 14:56:01 -------
(In reply to comment #10)
> Я не пишу патчи. Но при этом считаю, что об обнаруженных несуразностях лучше
> сообщать, а не забывать их.
Для alterator-install2 проблема неактуальна.  Поскольку в install2-x11-qt она
так и не была по факту исправлена (и наличествовала), закрываю как WONTFIX.